Questions about software packages, installing them, removing them, updating them and finding them.

learn more… | top users | synonyms (1)

6
votes
0answers
402 views

Can I set the gold linker as the default one in saucy?

Previously, the /usr/bin/ld symlink was pointing to ld.gold when the binutils-gold package was installed. Gold now comes with the binutils package itself, and it installs the /usr/bin/ld symlink ...
3
votes
0answers
245 views

How to package shared library in deb packages

My application uses some shared libraries, which i need to package with the binary, and as per Debian Policy Rules It is recommended that supporting files and run-time support programs that do not ...
3
votes
0answers
153 views

How can I update my custom repository?

I created a local repository and I used it in my ubuntu clients. This repository contains only some packages. Now I would upgrade these packages. How can I do it, as there are many packages and ...
2
votes
0answers
18 views

Is there Ubuntu's analogue of snapshot.debian.org?

Debian users have a kind of "wayback machine": snapshot.debian.org , which is really great. There are regressions sometimes, and if I don't have local deb package with old version, I'm getting sad ...
2
votes
0answers
108 views

Can't install package libclassicclient

This is the output of "sudo apt-get install libclassicclient": user1@laptop:~$ sudo apt-get install libclassicclient Reading package lists... Done Building dependency tree Reading state ...
2
votes
0answers
43 views

Publish a package on Ubuntu Software Center?

Recent, I uploaded a package on MyApps. After uploading finished, I received a notice: Thank you for submitting a gratis Free Software application through MyApps. At this time we are unable to ...
2
votes
0answers
163 views

Issue Backporting SQLite 3.8.1 to Ubuntu Precise from Trusty

I'm pretty new to all of the packaging of Ubuntu applications and what not so this may not be the correct place to ask this question or there may be a more appropriate place to re-ask this question. ...
2
votes
0answers
324 views

Binary package for gcc 4.8.2 on Ubuntu 12.04?

Following this answer, I have installed gcc 4.8.1 on Ubuntu 12.04 a couple of months ago. Unfortunately, I encounter bugs very frequently, varying from failing to compile valid programs to crashing. ...
2
votes
0answers
46 views

Is universe checked by the Ubuntu Security team?

I have a generall question regarding the Ubuntu universe repository. Does anybody know if they are checked by Ubuntu Security Team? Will they move or delete packages if any problem is encountered ...
2
votes
0answers
260 views

Confusing about building OpenStack Packages?

I found OpenStack build task on Ubuntu QA site, but I am a little confusing about the build steps. Here's the link for build steps: ...
2
votes
0answers
134 views

unity-music-daemon uses large amount of memory

When I boot my Ubuntu 13.04 up, I noticed that my fans goes crazy and when I had a glanced at System Monitor, I saw that a process called unity-music-daemon is using a large amount of memory and CPU. ...
2
votes
0answers
66 views

How to remove packages from my own Debian package?

I know the basics of creating a Debian package. But I wish to create one that marks other packages for removal as it is installed. Under the Debian folder of the package at the control file, I tried ...
2
votes
0answers
43 views

How do I block a certain package from being installed without disabling recommends?

I want to blacklist the package ttf-mscorefonts-installer forever. How can I make sure upgrading my system will never install this package without disabling other "recommends" from being installed? ...
2
votes
0answers
264 views

How can I preseed package installation without a network connection?

I am working to create an unattended offline installation of the Ubuntu Server 12.04. I have everything preseeded so far, but I still can't figure out how to install other packages without requiring ...
2
votes
0answers
270 views

ubuntugis demands a partial upgrade? Is this safe?

I would like to do some GIS in ubuntu. When I use the repo: sudo apt-add-repository ppa:ubuntugis/ubuntugis-unstable Update manager asks me to do a partial upgrade. The packages it wants to ...
2
votes
0answers
150 views

configure says I don't have lib, but aptitude says I do

I've just run a configure script which alerts me: checking for gcry_control in -lgcrypt... no configure: error: libgcrypt not found. Install libgcrypt or use --disable-libgcrypt. Have a nice day. ...
2
votes
0answers
770 views

Why did Ubuntu remove SpiderMonkey package?

I noticed Ubuntu didn't support SpiderMonkey since 10.04. I guess it may have something to do with license. Can You Tell Me The Reason Why?
2
votes
0answers
383 views

Cannot update using Update manager because “Package operation failed”

I have 390 updates after opening up 32 bit through VM Ware Fusion. When tried to update, I got "Package operation failed" error and I can't even open up .run to install the application. Here are the ...
2
votes
0answers
70 views

Trouble installing package and updating

I almost nothing about Ubuntu. When I try to run the command to install of a package, I am said that 'unable to locate package' When I try to run sudo apt-get update, the system seems being blocked! ...
1
vote
0answers
19 views

Custom repository for “click” packages

For standard deb packages we can use reprepro. Is there any custom repository related solution for "click" packages?
1
vote
0answers
8 views

For an automated install of .deb I need to set DPkg::Options before installing package with new conffile

I have a custom Debian package that creates a touch-screen calibration file and will be deployed for automatic updating. I want to preserve the calibration file if the user has changed it, so my new ...
1
vote
0answers
13 views

xubuntu/xfce4 package to hold to prevent breakage by updates

I've painfully set up my xubuntu desktop to look exactly how I want it to look. I have previously experienced a well built setup crumble due to unfortunate updates. Though I would like to keep getting ...
1
vote
0answers
19 views

Cannot login after Clam AV removal purge mistake

I would like some help repairing my Ubuntu installation please, I am having problems logging in after a mistake trying to uninstall Clam AV. I accidentally deleted some files / libraries whilst ...
1
vote
0answers
20 views

Installing a Package that asks debconf questions doesn't work with the Software-Center

I am building an automatic configure Package for our environment and it has to ask a few debconf questions when installing. Until Ubuntu 13.10 it was no problem installing it via the GUI but since ...
1
vote
0answers
19 views

Recent version of libpng

The libpng in the Ubuntu 14.04 is still at version 1.2. Is there an alternative apt source that contains more recent version? If not, will I end up in trouble aka dependency hell if I compile my own ...
1
vote
0answers
31 views

Allegro4 and Allegro5 dev seems to not want to install together

Installing via synapic on a new Ubuntu 14.04 LTS, the allegro 4 and 5 development packages Ubuntu seem to act as if mutually exclusive and give me an exclamation point saying that one will need to be ...
1
vote
0answers
29 views

Server Gets Restarted while installing Ubuntu

I'm using Fujitsu Primergy Rx200 S8 server, when I installing Ubuntu 13.10 server edition the server gets restarted itself at the time of "Installing the system" after partitioning step. The media ...
1
vote
0answers
19 views

What causes packages to appear broken

There are many answer related to fixing either specific broken packages or fixing most/all packages in a general way. This question is related to why and what cause packages to appear broken or get ...
1
vote
0answers
15 views

how do i create a ppa for a package made by someone else but not managed anymore

Okay , 1st of all, though ive used PPAs for all these years, i never went into the details of how they are created and managed and stuff... so, i am a noob at being on the "creator" or " manager" ...
1
vote
0answers
16 views

g++ package install complaints authentication problems

I tried to install build-essential packages by using following command. sudo apt-get install build-essential But in gnome-terminal it is showing that this package is not authenticated and it is ...
1
vote
0answers
47 views

Gallery2 package deleted from 14.04?

I upgraded from 13.10 to 14.04 yesterday and it broke my gallery2 install. Upon further research, I see that the package was deleted from trusty ubuntuupdates.org search but I can't seem to find out ...
1
vote
0answers
566 views

Package system is broken (oxideqt-codecs-extra) ubuntu 14.04

So last night I tried to update using the update manager and I couldn't because I encountered an error halfway through (error:brokencount>0). Today I wanted to install a package with ubuntu software ...
1
vote
0answers
23 views

12.04 Computer crashed, now I get update error below

installArchives() failed: (Reading database ... dpkg: warning: files list file for package `libgnome-keyring-common' missing, assuming package has no files currently installed. dpkg: warning: files ...
1
vote
0answers
39 views

Getting a ksplice error after installing from ubuntu software center

There's a red circular icon with a white horizontal dash in my taskbar which says : An error ocurred, please run package manager from the right-click menu or apt-get in a terminal to see what is ...
1
vote
0answers
56 views

“Unable to correct problems, you have held broken packages”

I keep trying to install the gnome-extensions-user-theme package and I get this every time: gnome-shell-extensions-user-theme : Depends: gnome-shell-extensions-common but it is not going to be ...
1
vote
0answers
22 views

What is the purpose of libstdc++-dbg?

The Synaptics package manager says that: This package contains the shared library of libstdc++ compiled with debugging symbols. But I can successfully print the contents of std members in the ...
1
vote
0answers
51 views

How to find top-level dependencies in a list of deb packages?

Suppose I have a list of packages: foo libfoo bar baz quux And suppose foo requires libfoo and bar, and baz requires quux. I want a way to put in that list, and get out this list: foo baz I.e. ...
1
vote
0answers
432 views

Ubuntu Will Not Boot: “Fatal server error: no screens found”

I've been getting an annoying problem after restarting my laptop, Ubuntu fails to boot. It will hit the purple loading screen with the Ubuntu logo and dots but goes black after this. So far I know ...
1
vote
0answers
21 views

Why one of the package s I've installed is unaccessible in Guake Terminal?

I installed Rails framework (Ruby on Rails) on my Ubuntu. Today after I installed Guake Terminal, and I called Rails command in it => The program 'rails' is currently not installed Rails still ...
1
vote
0answers
157 views

Copying files into custom uck chroot environment

I have been trying to setup a custom Ubuntu 13.10 ISO, containing programs and utilitiess that are beyond what is installed by default. I am initially using uck and finally got it working for me, ...
1
vote
0answers
183 views

ubuntu_dists_saucy_main_i18n_Translation-en%5fUS :why do i get errror with this

After installing 12.04, i ran into some language selector problem i guess.. update manager, software center would crash.. Going through this support, sudo rm /var/lib/apt/lists/* -vf and running ...
1
vote
0answers
106 views

Installing GCC Cross-Compiler for i586-elf

I was following a tutorial http://wiki.osdev.org/Main_Page to build an OS. I needed to install a cross compiler for i586-elf (Executable and Linkable Format). How to install it on ubuntu 12.04 ?
1
vote
0answers
60 views

Optimal Ways of Installing and Maintaining Ubuntu Installations while off line (Starting with DVDs)?

I got my installations from Raring Ringtail which offers Xubuntu, L, K, GNOME and Unity. Let me also state that I know these version are already probably dated, since open source is always moving. I ...
1
vote
0answers
55 views

libjpeg-turbo-dev Undefined reference and package issue

i am trying to do some coding using the lib but i cannot even compile a simple code, and when i asked about it in help section for the developers i got that the issue is from the package on the system ...
1
vote
0answers
757 views

How Do I fix my particular broken package system?

So I'm having a bit of trouble with my Ubuntu 13.10 installation. I cannot for the life of me figure out what I did to break it, I think it had something to do with an update not finishing. Anyway, ...
1
vote
0answers
318 views

Installing a .deb package to /usr/local directory using dpkg(1)?

I want to install a binary .deb package under the "/usr/local" directory rather than the default "/usr" directory but I can't because the database "/usr/local/var/lib/dpkg" doesn't exist: $ sudo dpkg ...
1
vote
0answers
166 views

how to install package requirements gtk+-3.0 >= 3.9.10, glib-2.0 >= 2.37.5 and gio-2.0 >= 2.30.0

I am trying to compile Disk Usage Analyzer. In preparing to compile, I am informed of certain requirements that are not present: configure: error: Package requirements ( gtk+-3.0 >= 3.9.10 ...
1
vote
0answers
406 views

Where do I find repositories for the following packages, now that Medibuntu is down?

I don't agree with this nonsense at all: The project is not really needed nowadays, except for one package: libdvdcss There was MUCH more than libdvdcss in Medibuntu. What I want now is, where are ...
1
vote
0answers
167 views

Qt 5.1 packages

Is there any ppa containing Qt 5.1 prebuilt binary packages? I found this one, but it doesn't seem really well-provided. I'm running Raring, but I see that even Saucy still has Qt 5.0.2.
1
vote
0answers
273 views

Installing objdump on Ubuntu that recognizes mach-o binaries?

Anyone know how to install a version binutils on Ubuntu that has an objdump that can recognize a mach-o binary? Currently when I run, objdump -P load binary, I get objdump: /path/to/binary: File ...